Name:    kdesdk-kioslaves
Summary: KDE KIOslaves for perldoc and subversion
Version: 4.11.4
Release: 1%{?dist}

License: GPLv2 and GPLv2+
URL:     https://projects.kde.org/projects/kde/kdesdk/kdesdk-kioslaves
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires:  kdelibs4-devel >= %{version}
BuildRequires:  subversion-devel

Conflicts:      kdesdk-common < 4.10.80
Provides:       kdesdk-kioslave = %{version}-%{release}
Obsoletes:      kdesdk-kioslave < 4.10.80

%description
KDE SDK kioslaves:
* perldoc KIOSlave
* Subversion KIOslave

%prep
%setup -q -n %{name}-%{version}


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}

%post
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:


%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:


%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null ||:
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null ||:
fi


%files
%{_kde4_libdir}/kde4/kio_perldoc.so
%{_kde4_appsdir}/kio_perldoc/pod2html.pl
%{_kde4_datadir}/kde4/services/perldoc.protocol
%{_kde4_bindir}/kio_svn_helper
%{_kde4_libdir}/kde4/kio_svn.so
%{_kde4_datadir}/kde4/services/svn*.protocol
%{_kde4_iconsdir}/hicolor/*/actions/*kiosvn.*
%{_kde4_datadir}/kde4/services/ServiceMenus/subversion.desktop
%{_kde4_datadir}/kde4/services/ServiceMenus/subversion_toplevel.desktop
%{_kde4_libdir}/kde4/kded_ksvnd.so
%{_kde4_datadir}/dbus-1/interfaces/org.kde.ksvnd.xml
%{_kde4_datadir}/kde4/services/kded/ksvnd.desktop

%changelog
* Fri Dec 13 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.4-1
- 4.11.4

* Sat Nov 02 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.3-1
- 4.11.3

* Sat Sep 28 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.2-1
- 4.11.2

* Wed Sep 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.11.1-1
- 4.11.1

* Wed Aug 14 2013 Jan Grulich <jgrulich@redhat.com - 4.11.0-1
- 4.11.0
- correct license, better url, removed unused scriptlets and dependencies

* Wed Aug 07 2013 Jan Grulich <jgrulich@redhat.com> - 4.10.97-1
- Split off from kdesdk package
